// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/
:root {
  --ion-color-primary: #7100b2;
  --ion-color-primary-rgb: 113, 0, 178;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255, 255, 255;
  --ion-color-primary-shade: #63009d;
  --ion-color-primary-tint: #7f1aba;

  --ion-color-secondary: #1fff88;
  --ion-color-secondary-rgb: 31, 255, 136;
  --ion-color-secondary-contrast: #000000;
  --ion-color-secondary-contrast-rgb: 0, 0, 0;
  --ion-color-secondary-shade: #1be078;
  --ion-color-secondary-tint: #35ff94;

  --ion-color-tertiary: #a405ff;
  --ion-color-tertiary-rgb: 164, 5, 255;
  --ion-color-tertiary-contrast: #ffffff;
  --ion-color-tertiary-contrast-rgb: 255, 255, 255;
  --ion-color-tertiary-shade: #9004e0;
  --ion-color-tertiary-tint: #ad1eff;

  --ion-color-success: #34ad64;
  --ion-color-success-rgb: 52, 173, 100;
  --ion-color-success-contrast: #000000;
  --ion-color-success-contrast-rgb: 0, 0, 0;
  --ion-color-success-shade: #2e9858;
  --ion-color-success-tint: #48b574;

  --ion-color-warning: #e7b718;
  --ion-color-warning-rgb: 231, 183, 24;
  --ion-color-warning-contrast: #000000;
  --ion-color-warning-contrast-rgb: 0, 0, 0;
  --ion-color-warning-shade: #cba115;
  --ion-color-warning-tint: #e9be2f;

  --ion-color-danger: #c74859;
  --ion-color-danger-rgb: 199, 72, 89;
  --ion-color-danger-contrast: #ffffff;
  --ion-color-danger-contrast-rgb: 255, 255, 255;
  --ion-color-danger-shade: #af3f4e;
  --ion-color-danger-tint: #cd5a6a;

  --ion-color-medium: #8d8d91;
  --ion-color-medium-rgb: 141, 141, 145;
  --ion-color-medium-contrast: #000000;
  --ion-color-medium-contrast-rgb: 0, 0, 0;
  --ion-color-medium-shade: #7c7c80;
  --ion-color-medium-tint: #98989c;

  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244, 245, 248;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;

  --ion-item-background: #f0f0f0;

  --ion-toolbar-background: #f5f6f9;

  --ion-tab-bar-background: #f5f6f9;

  --ion-card-background: #f5f6f9;
}

@media (prefers-color-scheme: light) {
  /*
   * Dark Colors
   * -------------------------------------------
   */

  body {
    --ion-color-primary: #1fff88;
    --ion-color-primary-rgb: 31, 255, 136;
    --ion-color-primary-contrast: #000000;
    --ion-color-primary-contrast-rgb: 0, 0, 0;
    --ion-color-primary-shade: #1be078;
    --ion-color-primary-tint: #35ff94;

    --ion-color-secondary: #a405ff;
    --ion-color-secondary-rgb: 164, 5, 255;
    --ion-color-secondary-contrast: #ffffff;
    --ion-color-secondary-contrast-rgb: 255, 255, 255;
    --ion-color-secondary-shade: #9004e0;
    --ion-color-secondary-tint: #ad1eff;

    --ion-color-tertiary: #7100b2;
    --ion-color-tertiary-rgb: 113, 0, 178;
    --ion-color-tertiary-contrast: #ffffff;
    --ion-color-tertiary-contrast-rgb: 255, 255, 255;
    --ion-color-tertiary-shade: #63009d;
    --ion-color-tertiary-tint: #7f1aba;

    --ion-color-success: #34b266;
    --ion-color-success-rgb: 52, 178, 102;
    --ion-color-success-contrast: #000000;
    --ion-color-success-contrast-rgb: 0, 0, 0;
    --ion-color-success-shade: #2e9d5a;
    --ion-color-success-tint: #48ba75;

    --ion-color-warning: #e5b71f;
    --ion-color-warning-rgb: 229, 183, 31;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0, 0, 0;
    --ion-color-warning-shade: #caa11b;
    --ion-color-warning-tint: #e8be35;

    --ion-color-danger: #d44e60;
    --ion-color-danger-rgb: 212, 78, 96;
    --ion-color-danger-contrast: #ffffff;
    --ion-color-danger-contrast-rgb: 255, 255, 255;
    --ion-color-danger-shade: #bb4554;
    --ion-color-danger-tint: #d86070;

    --ion-color-medium: #92949c;
    --ion-color-medium-rgb: 146, 148, 156;
    --ion-color-medium-contrast: #000000;
    --ion-color-medium-contrast-rgb: 0, 0, 0;
    --ion-color-medium-shade: #808289;
    --ion-color-medium-tint: #9d9fa6;

    --ion-color-light: #f4f5f8;
    --ion-color-light-rgb: 244, 245, 248;
    --ion-color-light-contrast: #000000;
    --ion-color-light-contrast-rgb: 0, 0, 0;
    --ion-color-light-shade: #d7d8da;
    --ion-color-light-tint: #f5f6f9;
  }

  /*
   * iOS Dark Theme
   * -------------------------------------------
   */

  .ios body {
    --ion-background-color: #212121;
    --ion-background-color-rgb: 33, 33, 33;

    --ion-text-color: #f2f3f3;
    --ion-text-color-rgb: 242, 243, 243;

    --ion-color-step-50: #2b2c2c;
    --ion-color-step-100: #363636;
    --ion-color-step-150: #404141;
    --ion-color-step-200: #4b4b4b;
    --ion-color-step-250: #555656;
    --ion-color-step-300: #606060;
    --ion-color-step-350: #6a6b6b;
    --ion-color-step-400: #757575;
    --ion-color-step-450: #7f8080;
    --ion-color-step-500: #8a8a8a;
    --ion-color-step-550: #949595;
    --ion-color-step-600: #9e9f9f;
    --ion-color-step-650: #a9aaaa;
    --ion-color-step-700: #b3b4b4;
    --ion-color-step-750: #bebfbf;
    --ion-color-step-800: #c8c9c9;
    --ion-color-step-850: #d3d3d3;
    --ion-color-step-900: #dddede;
    --ion-color-step-950: #e8e9e9;

    --ion-item-background: #2b2c2c;

    --ion-card-background: #2b2c2c;
  }

  .ios ion-modal {
    --ion-background-color: var(--ion-color-step-100);
    --ion-toolbar-background: var(--ion-color-step-150);
    --ion-toolbar-border-color: var(--ion-color-step-250);
  }

  /*
   * Material Design Dark Theme
   * -------------------------------------------
   */

  .md body {
    --ion-background-color: #212121;
    --ion-background-color-rgb: 33, 33, 33;

    --ion-text-color: #f2f3f3;
    --ion-text-color-rgb: 242, 243, 243;

    --ion-color-step-50: #2b2c2c;
    --ion-color-step-100: #363636;
    --ion-color-step-150: #404141;
    --ion-color-step-200: #4b4b4b;
    --ion-color-step-250: #555656;
    --ion-color-step-300: #606060;
    --ion-color-step-350: #6a6b6b;
    --ion-color-step-400: #757575;
    --ion-color-step-450: #7f8080;
    --ion-color-step-500: #8a8a8a;
    --ion-color-step-550: #949595;
    --ion-color-step-600: #9e9f9f;
    --ion-color-step-650: #a9aaaa;
    --ion-color-step-700: #b3b4b4;
    --ion-color-step-750: #bebfbf;
    --ion-color-step-800: #c8c9c9;
    --ion-color-step-850: #d3d3d3;
    --ion-color-step-900: #dddede;
    --ion-color-step-950: #e8e9e9;

    --ion-item-background: #2b2c2c;

    --ion-toolbar-background: #212121;

    --ion-tab-bar-background: #212121;

    --ion-card-background: #2b2c2c;
  }
}

html {
  /* 
   * For more information on dynamic font scaling, visit the documentation:
   * https://ionicframework.com/docs/layout/dynamic-font-scaling
   */
  --ion-dynamic-font: var(--ion-default-dynamic-font);
}
